searchData={"items":[{"type":"module","title":"TelemetryMetricsLogger","doc":"A reporter that prints events to the `Logger`.\n\nThis module aggregates and prints metrics information at a configurable frequency.\n\nFor example, imagine the given metrics:\n\n    metrics = [\n      last_value(\"vm.memory.binary\", unit: :byte),\n      counter(\"vm.memory.total\"),\n      summary(\"phoenix.endpoint.stop.duration\", unit: {:native, :millisecond})\n    ]\n\nA this reporter can be started as a child of your supervision tree like this:\n\n    {TelemetryMetricsLogger, metrics: metrics, reporter_options: [interval: 60]}\n\nThen, every sixty seconds, you will see a report like this:\n\n```log\n12:31:54.492 [info]  Telemetry report 2020-11-09T17:48:00Z\n  Event [:vm, :memory]\n    Measurement \"binary\"\n      Last value: 100 B\n    Measurement \"total\"\n      Counter: 1\n  Event [:phoenix, :endpoint, :stop]\n    Measurement \"duration\"\n      Summary:\n        Average: 101 ms\n        Min: 52 ms\n        Max: 127 ms\n```","ref":"TelemetryMetricsLogger.html"},{"type":"function","title":"TelemetryMetricsLogger.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"TelemetryMetricsLogger.html#child_spec/1"},{"type":"function","title":"TelemetryMetricsLogger.handle_event/4","doc":"","ref":"TelemetryMetricsLogger.html#handle_event/4"},{"type":"function","title":"TelemetryMetricsLogger.start_link/1","doc":"","ref":"TelemetryMetricsLogger.html#start_link/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}